<script lang="ts">
	import { goto } from '$app/navigation';
	import { scrollY } from '../../utils/store';
	import { routeToPage } from '../../utils/utils';

	export let link: string;
	export let title: string;
	export let isActive: boolean;

	$: activeClass = isActive ? 'text-shadow: 2px 4px 4px rgba(255, 207, 155, 0.3);' : '';
</script>

<button
	class=" flex flex-col items-center justify-center p-2
    {isActive ? 'bg-noir-600 text-primary-400' : 'text-primary-500'} "
	on:click={() => {
		scrollY.update((_) => 0);
		routeToPage(link);
	}}
>
	<slot />
	<span style={activeClass}>{title}</span>
</button>
